%define perl_archlib %(eval "`perl -V:archlib`";  echo $archlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Name:		ekg2
Version:	0.3.1
Release:	%mkrel 10
Summary:	Multi-protocol instant messaging and chat client
License:	GPLv2
Group:		Networking/Instant messaging
URL:		http://www.ekg2.org
Source0:	http://pl.ekg2.org/%{name}-%{version}.tar.gz
BuildRequires:	docbook-style-xsl
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gnutls-devel
BuildRequires:	gpgme-devel
BuildRequires:	gpm-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgadu-devel
BuildRequires:	gsm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	libtool
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	openssl-devel
BuildRequires:	perl(ExtUtils::Embed)
BuildRequires:	python-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:  perl-devel
BuildRequires:  xsltproc
BuildRequires:	cvs
BuildConflicts:	readline-devel
Requires:	%{name}-core = %{version}-%{release}
Requires:	%{name}-gadu-gadu = %{version}-%{release}
Requires:	%{name}-gpg = %{version}-%{release}
Requires:	%{name}-jabber = %{version}-%{release}

%description
Multi-protocol instant messaging and chat client with many plugins.
This is a meta package that installs ekg2 with popular plugins.


%package core
Group:		Networking/Instant messaging
Summary:	Multi-protocol instant messaging and chat client

%description core
Multi-protocol instant messaging and chat client with many plugins.


%package devel
Summary:	Development headers for ekg2
Group:		Development/C
Requires:	%{name}-core = %{version}-%{release}

%description devel
Development headers for ekg2.


%package gadu-gadu
Summary:	Gadu-gadu protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gadu-gadu
Gadu-gadu protocol plugin for ekg2.


%package gpg
Summary:	GPG plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gpg
GPG plugin for ekg2.


%package gtk2
Summary:	GTK2 UI plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gtk2
GTK2 UI plugin for ekg2.


%package ioctld
Summary:	Keyboard LED control plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description ioctld
Keyboard LED control plugin for ekg2.


%package jabber
Summary:	Jabber protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description jabber
Jabber protocol plugin for ekg2.


%package logsqlite
Summary:	SQLite log plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description logsqlite
SQLite log plugin for ekg2.


%package -n perl-%{name}
Summary:	Perl scripting plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description -n perl-%{name}
Perl scripting plugin for ekg2.


%package python
Summary:	Python scripting plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description python
Python scripting plugin for ekg2.


%package voip
Summary:	GSM VoIP protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description voip
GSM VoIP protocol plugin for ekg2.


%prep
%setup -q
# convert docs to UTF-8
for file in \
	AUTHORS COPYING NEWS*  \
	docs/README docs/TODO \
	docs/events.txt docs/mouse.txt docs/sim.txt docs/themes{,-en}.txt \
	docs/voip.txt \
; do
iconv -f iso8859-2 -t utf8 -o $file.utf $file && mv $file.utf $file
done

sed -i "s/);/,\n\t'INSTALLDIRS' => 'vendor');/" plugins/perl/common/Makefile.PL
sed -i "s/);/,\n\t'INSTALLDIRS' => 'vendor');/" plugins/perl/irc/Makefile.PL

%build
touch README
touch ChangeLog

autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-shared \
	--disable-rpath \
	--enable-unicode \
	--with-libgadu \
	--with-libgsm \
	--with-python \
	--with-ncurses=%{_prefix}

%make

pushd docs/ekg2book
      %make
popd
pushd docs/ekg2book-en
      %make
popd

%install
%makeinstall_std

# for strip to work
find %{buildroot} -name "*.so" | xargs chmod 755
find %{buildroot} -name "*.py" | xargs chmod 755
find %{buildroot} -name "*.pl" | xargs chmod 755

mkdir -p %{buildroot}%{_libexecdir}/%{name}
mv %{buildroot}%{_libexecdir}/ioctld %{buildroot}%{_libexecdir}/%{name}/

cp -pr docs/ekg2book-en/book docs/ekg2book-en/book-en

rm %{buildroot}%{perl_archlib}/perllocal.pod
find %{buildroot}%{perl_vendorarch} -name .packlist -o -name "*.bs" | xargs rm

rm %{buildroot}%{_libdir}/%{name}/plugins/*.la

%find_lang %{name}

%files

%files core -f %{name}.lang
%doc AUTHORS COPYING NEWS* docs/README
%doc docs/events.txt docs/mouse.txt docs/sim.txt docs/themes.txt
%doc docs/ekg2book/book docs/ekg2book-en/book-en
%{_bindir}/%{name}
%dir %{_libexecdir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/autoresponder.so
%{_libdir}/%{name}/plugins/feed.so
%{_libdir}/%{name}/plugins/httprc_xajax.so
%{_libdir}/%{name}/plugins/icq.so
%{_libdir}/%{name}/plugins/irc.so
%{_libdir}/%{name}/plugins/jogger.so
%{_libdir}/%{name}/plugins/logs.so
%{_libdir}/%{name}/plugins/mail.so
%{_libdir}/%{name}/plugins/ncurses.so
%{_libdir}/%{name}/plugins/pcm.so
%{_libdir}/%{name}/plugins/polchat.so
%{_libdir}/%{name}/plugins/rc.so
%{_libdir}/%{name}/plugins/remote.so
%{_libdir}/%{name}/plugins/rivchat.so
%{_libdir}/%{name}/plugins/rot13.so
%{_libdir}/%{name}/plugins/sim.so
%{_libdir}/%{name}/plugins/sms.so
%{_libdir}/%{name}/plugins/xmsg.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/plugins/autoresponder
%{_datadir}/%{name}/plugins/httprc_xajax
%{_datadir}/%{name}/plugins/irc
%{_datadir}/%{name}/plugins/logs
%{_datadir}/%{name}/plugins/mail
%{_datadir}/%{name}/plugins/ncurses
%{_datadir}/%{name}/plugins/rc
%{_datadir}/%{name}/plugins/sim
%{_datadir}/%{name}/plugins/sms
%{_datadir}/%{name}/plugins/xmsg
%{_datadir}/%{name}/themes

%files devel
%doc docs/TODO

%files gadu-gadu
%{_libdir}/%{name}/plugins/gg.so
%{_datadir}/%{name}/plugins/gg

%files gtk2
%{_libdir}/%{name}/plugins/gtk.so

%files gpg
%{_libdir}/%{name}/plugins/gpg.so
%{_datadir}/%{name}/plugins/gpg

%files ioctld
%{_libexecdir}/%{name}/ioctld
%{_libdir}/%{name}/plugins/ioctld.so
%{_datadir}/%{name}/plugins/ioctld

%files jabber
%{_libdir}/%{name}/plugins/jabber.so
%{_datadir}/%{name}/plugins/jabber

%files logsqlite
%{_libdir}/%{name}/plugins/logsqlite.so
%{_datadir}/%{name}/plugins/logsqlite

%files -n perl-%{name}
%{_libdir}/%{name}/plugins/perl.so
%{_datadir}/%{name}/scripts/*.pl
%{perl_vendorarch}/Ekg2
%{perl_vendorarch}/Ekg2.pm
%{perl_vendorarch}/auto/Ekg2

%files python
%{_libdir}/%{name}/plugins/python.so
%{_datadir}/%{name}/scripts/*.py*
%{_datadir}/%{name}/plugins/python

%files voip
%{_libdir}/%{name}/plugins/gsm.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.3.1-10.mga4
+ Revision: 524149
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 0.3.1-9.mga4
+ Revision: 430389
- rebuild for new perl

* Fri Jan 11 2013 umeabot <umeabot> 0.3.1-8.mga3
+ Revision: 349588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.3.1-7.mga3
+ Revision: 324463
- cleaning

  + fwang <fwang>
    - use configure2_5x

* Sun Jul 15 2012 fwang <fwang> 0.3.1-6.mga3
+ Revision: 270902
- build with automake

* Wed May 30 2012 kamil <kamil> 0.3.1-5.mga3
+ Revision: 251727
- rebuild against perl 5.16

* Fri Apr 06 2012 pterjan <pterjan> 0.3.1-4.mga2
+ Revision: 228823
- Remove fedora specific perl(:MODULE_COMPAT_$version) dependency

* Tue Apr 03 2012 kamil <kamil> 0.3.1-3.mga2
+ Revision: 228158
- adapt .spec for Mageia
- imported package ekg2


* Fri Dec 30 2011 Karol Trzcionka <karlik at fedoraproject.org> - 0.3.1-2
- Obsoletes xosd

* Fri Dec 30 2011 Karol Trzcionka <karlik at fedoraproject.org> - 0.3.1-1
- Update to v0.3.1

* Thu Aug 05 2010 Karol Trzcionka <karlikt@gmail.com> - 0.2-0.14.rc1
- Fix build with new gtk2

* Sat Jul 31 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.2-0.13.rc1
- Rebuild for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.2-0.12.rc1
- Mass rebuild with perl-5.12.0

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.2-0.11.rc1
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-0.10.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 04 2009 Caolán McNamara <caolanm@redhat.com> - 0.2-0.9.rc1
- add BuildRequires to rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-0.8.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.2-0.7.rc1
- rebuild with new openssl

* Sat Dec 06 2008 Karol Trzcionka <karlikt at gmail.com> - 0.2-0.6.rc1.1
- Fix ruby building

* Sat Dec 06 2008 Karol Trzcionka <karlikt at gmail.com> - 0.2-0.6.rc1
- Fix typo in changelog
- Remove %%attr
- Add unowned directories (#474640)
- Add ruby plugin
- Sort plugins alphabetically

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2-0.5.rc1
- Rebuild for Python 2.6

* Fri Jul 18 2008 Caolán McNamara <caolanm@redhat.com> 0.2-0.4.rc1
- rebuild for new gpm

* Sat Jul 12 2008 Dominik Mierzejewski <rpm@greysector.net> 0.2-0.3.rc1
- fix compilation with >=gtk-2.13
- add missing defattr

* Wed Jun 04 2008 Dominik Mierzejewski <rpm@greysector.net> 0.2-0.2.rc1
- fix No UI-PLUGIN problem (patch from upstream)

* Wed May 28 2008 Dominik Mierzejewski <rpm@greysector.net> 0.2-0.1.rc1
- updated to 0.2-rc1 (#435369)
- fixed multiarch conflicts (#341051)
- updated gcc43 patch
- fixed compilation against the new glibc

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.1-4
- Rebuild for new perl

* Thu Feb 14 2008 Dominik Mierzejewski <rpm@greysector.net> 0.1.1-3
- fix build with gcc-4.3

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 0.1.1-2
- Rebuild for deps

* Wed Oct 24 2007 Dominik Mierzejewski <rpm@greysector.net> 0.1.1-1
- updated to 0.1.1 (really fixes bug 278181)
- move docs charset conversion and copying around to prep

* Sun Sep 16 2007 Dominik Mierzejewski <rpm@greysector.net> 0.1-2
- filter bad Provides: (fixes bug 278181)

* Tue Aug 28 2007 Dominik Mierzejewski <rpm@greysector.net> 0.1-1
- switch to released version
- update license tag
- fix BRs

* Fri May 18 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.7.20070427
- use versioned dependencies for the main package
- fix missing interpreter line in perl scripts

* Sat Apr 22 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.6.20070427
- latest available snapshot + diff to current CVS
- add unowned directory to file list
- libgsm support can be now enabled

* Mon Feb 05 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.5.20070203
- renamed python subpackage back, it's only a plugin

* Sun Feb 04 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.4.20070203
- renamed perl and python bindings packages
- added gpgme-devel BR
- added BuildConflicts: readline-devel
- removed redundant BRs
- built HTML docs
- built ncurses plugin with -fno-strict-aliasing to avoid infinite loop
  in unicode build

* Sun Feb 04 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.3.20070203
- 20070203 snapshot
- reorganized package layout
- moved ioctld to libexec/ekg2 to avoid conflict with ekg

* Mon Nov 20 2006 Dominik Mierzejewski <rpm@greysector.net> 0-0.2.20061119
- 20061119 snapshot

* Tue Sep 12 2006 Dominik Mierzejewski <rpm@greysector.net> 0-0.1.20060912
- 20060912 snapshot
- removed old cruft
- simplified subpackage names
- updated file lists
- added -devel package
- FE compliance
- disabled unicode support (doesn't work)
- simplified autotools and configure invocations
- added manpages
- converted docs to UTF-8

* Tue Oct 25 2005 Dominik Mierzejewski <rpm@greysector.net>
- fixed clean build on FC3-4

* Sun Oct 02 2005 Dominik Mierzejewski <rpm@greysector.net>
- 20051001 snapshot
- updated buildrequires for FC4
- perl scripting subpackage

* Sat May 28 2005 Dominik Mierzejewski <rpm@greysector.net>
- adapted PLD spec
- updated pl.po patch
- removed gcc4 patch
